> ## Name

> StencilTestEnable - 3D API stencil test enable

> ## Usage

> StencilTestEnable = bool(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable stencil testing. See the GL_STENCIL_TEST description on the OpenGL glEnable manual page for details. See the D3DRS_STENCILENABLE render state description for DirectX 9.

> The standard reset callback sets the StencilTestEnable state to bool(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilPass, StencilRef, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode